> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-shipping-cost.md).

# Get Shipping Cost

Permite consultar al servicio externo el costo de envío correspondiente al pedido indicado. El servicio deberá retornar el costo expresado en la moneda de la orden.&#x20;

Por defecto los costos de envío los define la tienda manualmente, si se quiere utilizar este servicio se debe contactar con Soporte de Fenicio (<soporte@fenicio.io>) para poder habilitarlo.&#x20;

Al implementar este servicio se deberá tener en consideración que los tiempos de respuesta sean adecuados para no afectar la experiencia del usuario, ya que es una solicitud que se realiza en el proceso de compra.

<table><thead><tr><th width="120">Method</th><th>Endpoint</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/getShippingCost</td></tr></tbody></table>

## Request

<table><thead><tr><th width="167">Clave</th><th width="159">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>order</code></strong></td><td>&#x3C;<a href="https://guia.fenicio.help/developers/referencia/modelos-de-datos/api-integracion-de-logistica.md#order"><strong>Order</strong></a>></td><td>Detalles de la orden de compra.</td></tr><tr><td><strong><code>serviceType</code></strong></td><td><a href="https://guia.fenicio.help/developers/referencia/tipos-de-valores.md#service-type"><strong>ServiceType</strong></a></td><td>Tipo de servicio.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="172">Clave</th><th width="130">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>shippingCost</code></strong></td><td>Float</td><td>Costo de envío.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-shipping-cost.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
